Bug 107870 - GDB throws 'internal-error: sect_index_text not initialized' when debugging
Summary: GDB throws 'internal-error: sect_index_text not initialized' when debugging
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gdb   
(Show other bugs)
Version: 3.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Alexandre Oliva
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-23 21:29 UTC by Peter Faltaous
Modified: 2015-01-08 00:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-30 13:54:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Eclipse failure. (3.05 KB, image/png)
2006-12-30 13:53 UTC, Jan Kratochvil
no flags Details

Description Peter Faltaous 2003-10-23 21:29:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
When I use gdb to debug eclipse on x86_64, trying to step through some of the
methods causes the following:

(gdb)
/usr/src/build/310526-x86_64/BUILD/gdb+dejagnu-5.3.90_20030710/gdb/dwarf2-frame.c:1113:
internal-error: sect_index_text not initialized
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n)


Version-Release number of selected component (if applicable):
gdb-5.3.90-0.20030710.40

How reproducible:
Sometimes

Steps to Reproduce:
1.Ignore SIGPWR and SIGXCPU using 'handle'
2.Use gdb to debug the eclipse source code on x86_64, set a breakpoint  at
java.net.URL.getFile()
3.Use next or step to move through the code, eventually you receive this error

    

Actual Results:  I get the above mentioned error

Expected Results:  The debugging session should continue without error.

Additional info:

Comment 1 Jan Kratochvil 2006-12-30 13:53:56 UTC
Created attachment 144577 [details]
Eclipse failure.

Tried to reproduce on RHEL3U8.x86_64.
Oldest / time-relevant Eclipse I found in Brew was `eclipse-2.1.2-5.x86_64.rpm'
(Apr 22 2004).
But still it did not run - see the attached error.
On the other hand even RHEL3 gdb is now gdb-6.3 based and I am sorry but I
would rather fix it only if it gets reported for something >= RHEL4 again.


Note You need to log in before you can comment on or make changes to this bug.